## sdlpop 1.17

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(SDLPoP)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -std=gnu99")

if (WIN32)
    # Use the -mwindows compiler flag when compiling with MinGW to hide the console window
    # Only do this when not in debug mode
    if (NOT (CMAKE_BUILD_TYPE STREQUAL "Debug"))
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mwindows")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mwindows")
    endif (NOT (CMAKE_BUILD_TYPE STREQUAL "Debug"))
endif(WIN32)

# have CMake output binaries to the directory that contains the source files
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${SDLPoP_SOURCE_DIR}/..")

# if SDL_2, SDL2_image and SDL2_mixer are not in the toolchain/build environment, specify /include and /lib paths:

#set(DIR_SDL2 "C:/SDL2-2.0.3")
#include_directories(${DIR_SDL2}/include)
#link_directories(${DIR_SDL2}/lib)

set(SOURCE_FILES
        main.c
        common.h
        config.h
        data.c
        data.h
        proto.h
        seg000.c
        seg001.c
        seg002.c
        seg003.c
        seg004.c
        seg005.c
        seg006.c
        seg007.c
        seg008.c
        seg009.c
        seqtbl.c
        options.c
        replay.c
        types.h
        icon.rc
        )
add_executable(prince ${SOURCE_FILES})

if(WIN32)
    target_link_libraries(prince mingw32 SDL2main SDL2 SDL2.dll SDL2_image SDL2_mixer)
else()
    target_link_libraries(prince SDL2main SDL2 SDL2_image SDL2_mixer m)
endif()

=== src/Makefile ===
# Project: SDLPoP

CC = gcc
RM = rm -f

HFILES = common.h config.h data.h proto.h types.h
OBJ = main.o data.o seg000.o seg001.o seg002.o seg003.o seg004.o seg005.o seg006.o seg007.o seg008.o seg009.o seqtbl.o replay.o options.o
BIN = ../prince

OS      := $(shell uname)

ifeq ($(OS),Darwin)
LIBS := $(shell sdl2-config --libs) -lSDL2_image -lSDL2_mixer
INCS := -I/opt/local/include
CFLAGS += $(INCS) -Wall -std=gnu99 -D_GNU_SOURCE=1 -D_THREAD_SAFE -DOSX -O2
else
LIBS := $(shell pkg-config --libs   sdl2 SDL2_image SDL2_mixer)
INCS := $(shell pkg-config --cflags sdl2 SDL2_image SDL2_mixer)
CFLAGS += $(INCS) -Wall -std=gnu99 -O2
endif

all: $(BIN)

clean:
	$(RM) $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CC) $(LDFLAGS) $(OBJ) -o $@ $(LIBS) -lm

%.o: %.c $(HFILES)
	$(CC) $(CFLAGS) $(LDFLAGS) -c $<

.PHONY: all clean

=== debian/changelog ===
sdlpop (1.17-1mx15+1) mx; urgency=medium

  * Repackaged for MX Linux.

 -- Mike Purtell <mandbx@sbcglobal.net>  Tue, 07 Mar 2017 19:56:45 -0800

sdlpop (1.17-1~getdeb1) xenial; urgency=medium

  * New upstream version

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 19 Feb 2017 15:37:09 +0100

sdlpop (1.16-1~getdeb1) xenial; urgency=medium

  * Initial release

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 05 Jun 2016 05:51:44 +0200

=== debian/control ===
Source: sdlpop
Section: games
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Christoph Korn <christoph.korn@getdeb.net>
Build-Depends: debhelper (>=9),
               pkg-config,
               libsdl2-dev,
               libsdl2-image-dev,
               libsdl2-mixer-dev
Standards-Version: 3.9.7
Homepage: https://github.com/NagyD/SDLPoP

Package: sdlpop
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         sdlpop-data (= ${source:Version})
Description: Open-source port of Prince of Persia
 An open-source port of Prince of Persia,
 based on the disassembly of the DOS version.

Package: sdlpop-data
Architecture: all
Depends: ${misc:Depends}
Description: Open-source port of Prince of Persia (data package)
 An open-source port of Prince of Persia,
 based on the disassembly of the DOS version.
 .
 (This package contains the data files).

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ -Dsrc

=== debian/watch ===
version=3
https://github.com/NagyD/SDLPoP/releases \
    (?:.*/)?v([\d\.]+)\.tar\.gz
